ServerEvents.recipes(event => {

    //tier_1 muddy mangrove roots
    event.recipes.botanypots.crop(
        "kubejs:sapling_golden_item", // seed item
        ["beacon"], // categories that this crop can be planted on
        { block: "kubejs:drp_sapling_golden" }, // display block
        [
            Item.of("minecraft:gold_nugget").withChance(0.50).withRolls(1, 9),
            Item.of("minecraft:gold_ingot").withChance(0.40).withRolls(1, 3),
            Item.of("minecraft:gold_block").withChance(0.30).withRolls(1, 1),
            Item.of("minecraft:experience_bottle").withChance(0.25).withRolls(1, 7),
            Item.of("minecraft:ancient_debris").withChance(0.20).withRolls(1, 1),
            Item.of("minecraft:enchanted_golden_apple").withChance(0.10).withRolls(1, 1),
            Item.of("minecraft:nether_star").withChance(0.05).withRolls(1, 1),
            Item.of("minecraft:totem_of_undying").withChance(0.01).withRolls(1, 1),
            Item.of("storagedrawers:creative_vending_upgrade").withChance(0.001).withRolls(1, 1)
        ],
        600, // growth ticks dan
        1, //growth modifier?!
    )

    event.recipes.botanypots.soil(
        "minecraft:beacon", // the item that this soil is attached to
        { block: "minecraft:beacon" }, // display block
        ["beacon"], // categories that this soil provides
        100, // growth ticks that this soil will provide, set to -1 for no modifier
        2.5 // optional, growth modifier, example: 0.5 means all crops will take half the time
    )
})